# Alimentation rails
Keywords: stratus

Subsections

- Name
- Synopsys
- Description
- Parameters
- Example
- Errors
- See Also

##
Alimentation rails

### Name

AlimVerticalRail, AlimHorizontalRail - Placement of a vertical/horizontal alimentation call back

### Synopsys

    AlimVerticalRail ( nb )

### Description

These functions place a vertical/horizontal alimentation call back. It's position is given by the parameter given.

### Parameters

- `nb` : coordinate of the rail
  - For AlimVerticalRail, `nb` is in pitches i.e. 5 lambdas
  - For AlimHorizontalRail, `nb` is in slices i.e. 50 lambdas

### Example

    AlimVerticalRail   (  50 )
    AlimVerticalRail   ( 150 )

    AlimHorizontalRail (  10 )

### Errors

Some errors may occur :

- `[Stratus ERROR] AlimHorizontalRail :`
  `Illegal argument y, y must be between ... and ...`
  The argument given is wrong : the call back would not be in the abutment box.
- `[Stratus ERROR] Placement of cells :`
  `please check your file of layout with DRUC.`
  The placement of the cell needs to be correct in order to place a call back. Check the errors of placement.

### See Also

Introduction Layout PlaceCentric PlaceGlu FillCell Pads Alimentation connectors PowerRing RouteCk